%define name    mini_sendmail
%define version 1.3.5
%define release 1mdk
%define summary Accept email on behalf of real sendmail

Summary:	%summary
Name:		%name
Version:	%version
Release:	%release
License:	BSD
Group:		Networking/Mail
URL:		http://www.acme.com/software/mini_sendmail
Source0:	http://www.acme.com/software/mini_sendmail/%name-%version.tar.gz
BuildRoot:      %_tmppath/%name-buildroot
Patch0:		%name-1.3.2-makefile.patch.bz2

%description
mini_sendmail reads its standard input up to an end-of-file and sends a copy
of the message found there to all of the addresses listed. The message is sent
by connecting to a local SMTP server. This means mini_sendmail can be used to
send email from inside a chroot(2) area.

%prep 
%setup -q
%patch -p1 -b .makefile

%build
# this makefile really sucks..
make mini_sendmail	PREFIX=%{_prefix} \
			BINDIR=%{_sbindir} \
			MANDIR=%{_mandir}

%install
# aargh..
mkdir -p %buildroot/%_docdir/%name-%version
mkdir -p %buildroot/%_sbindir/%name-%version

cp $RPM_BUILD_DIR/%name-%version/README %buildroot/%{_docdir}/%name-%version
cp $RPM_BUILD_DIR/%name-%version/FILES %buildroot/%{_docdir}/%name-%version
cp $RPM_BUILD_DIR/%name-%version/mini_sendmail %buildroot/%{_sbindir}/mini_sendmail

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README FILES
%_sbindir/mini_sendmail

%changelog
* Fri Mar 19 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 1.3.5-1mdk
- new version - fixed some problems with older version

* Wed Feb 12 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 1.3.2-1mdk
- initial Mandrake import

